﻿using System;
using System.Windows;
using Telerik.Windows.Controls.Map;

namespace MapStyling
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            this.radMap.InitializeCompleted += new EventHandler(radMap_InitializeCompleted);
        }

        private void radMap_InitializeCompleted(object sender, EventArgs e)
        {
            this.SetZoomLevels();
            this.SetCommandBar();
        }

        private void SetCommandBar()
        {
            var bing = this.radMap.Provider as BingMapProvider;
            var dataTemplate = this.Resources["CustomMapSourceButton"] as DataTemplate;

            for (int i = 0; i < 3; i++)
            {
                CommandDescription desc = bing.Commands[i];

                desc.DataTemplate = dataTemplate;
            }

            dataTemplate = this.Resources["CustomMapSwitchModeButton"] as DataTemplate;
            bing.Commands[3].DataTemplate = dataTemplate;
        }

        private void SetZoomLevels()
        {
            MapZoomBar zoomBar = this.radMap.MapZoomBar;
            var zoomDataTemplate = this.Resources["ZoomLevelButton"] as DataTemplate;

            foreach (CommandDescription desc in zoomBar.Commands)
            {
                desc.DataTemplate = zoomDataTemplate;
            }
        }
    }
}
